﻿<Window x:Class="JCHVRF_New.Views.AddEditRoomView"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:JCHVRF_New.Views"
        mc:Ignorable="d"
        xmlns:i="http://schemas.microsoft.com/expression/2010/interactivity"
        xmlns:xc="http://schemas.xceed.com/wpf/xaml/toolkit"
        xmlns:prism="http://prismlibrary.com/"
        prism:ViewModelLocator.AutoWireViewModel="True"
        Title="AddEditRoomView"  Height="Auto"
        MinWidth="890">
    <Grid>
        <Grid Margin="10">
            <Grid.ColumnDefinitions>
                <ColumnDefinition></ColumnDefinition>
            </Grid.ColumnDefinitions>
            <Grid.RowDefinitions>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
            </Grid.RowDefinitions>
        
            <StackPanel Orientation="Horizontal" HorizontalAlignment="Left" Grid.Row="1"  Margin="0,5,0,5">
                <Button x:Name="btnAddUnit"  Style="{StaticResource styleButtonOnFloor}"  MinHeight="30"  Margin="10,0,0,0" Background="White">
                    <TextBlock Text="   +   "  Height="17"  Margin="2,0,2,0" FontSize="12" FontStyle="Normal"></TextBlock>
                    <i:Interaction.Triggers>
                        <i:EventTrigger EventName="Click">
                            <i:InvokeCommandAction Command="{Binding AddRoomCommand}"/>
                        </i:EventTrigger>
                    </i:Interaction.Triggers>
                </Button>
                <Button  Style="{StaticResource styleButtonOnFloor}"  MinHeight="30"  Margin="10,0,0,0" Background="White">
                    <TextBlock Text="   -   "  Height="17"  Margin="2,0,2,0" FontSize="12" FontStyle="Normal"></TextBlock>
                </Button>
                <Button x:Name="btnAdd" Style="{StaticResource styleButtonOnFloor}" MinHeight="20"  Margin="10,0,0,0" Background="White">
                    <TextBlock Text="Bulk Add"  Height="17"  Margin="2,0,2,0" FontSize="12" FontStyle="Normal"></TextBlock>
                </Button>
                <Button x:Name="btnRemove" Style="{StaticResource styleButtonOnFloor}" MinHeight="20"  Margin="10,0,0,0" Background="White">
                    <TextBlock Text="Remove"  Height="17"  Margin="2,0,2,0" FontSize="12" FontStyle="Normal"></TextBlock>
                </Button>
                <Button x:Name="btnUploadExcel" Style="{StaticResource styleButtonOnFloor}" IsEnabled="False" MinHeight="20"  Margin="10,0,0,0"  Background="White">
                    <TextBlock Text="Upload Excel"  Height="17" Margin="2,0,2,0" FontSize="12" FontStyle="Normal"></TextBlock>
                </Button>
                <Button x:Name="btnDownloadTemplete" Style="{StaticResource styleButtonOnFloor}" IsEnabled="False"  MinHeight="20"  Margin="10,0,0,0"  Background="White">
                    <TextBlock Text="Download Templete"  Height="17"  Margin="2,0,2,0" FontSize="12" FontStyle="Normal"></TextBlock>
                </Button>
            </StackPanel>            
            <ScrollViewer HorizontalScrollBarVisibility="Auto" HorizontalContentAlignment="Stretch" Grid.Row="2">
                <ListView Margin="10,10,10,10" x:Name="lvUsers"  ItemsSource="{ Binding RoomList , Mode=OneWay}"  >
                    <ListView.View>
                        <GridView>
                            <GridViewColumn Width="auto" Header="ChlAll">
                                <GridViewColumn.HeaderTemplate>
                                    <DataTemplate>
                                        <CheckBox HorizontalAlignment="Center"/>
                                    </DataTemplate>
                                </GridViewColumn.HeaderTemplate>
                                <GridViewColumn.CellTemplate>
                                    <DataTemplate>
                                        <CheckBox HorizontalAlignment="Center"/>
                                    </DataTemplate>
                                </GridViewColumn.CellTemplate>
                            </GridViewColumn>

                            <GridViewColumn Header="Room Name" Width="Auto" >
                                <GridViewColumn.CellTemplate>
                                    <DataTemplate>
                                        <TextBox BorderThickness="0" Text="{Binding Name}" TextDecorations="Underline" Foreground="Blue" Cursor="Hand" />
                                    </DataTemplate>
                                </GridViewColumn.CellTemplate>
                            </GridViewColumn>
                            <!--<GridViewColumn Header="Model" Width="Auto">
                                <GridViewColumn.CellTemplate>
                                    <DataTemplate>
                                        <TextBox Text="{Binding Mail}" TextDecorations="Underline" Foreground="Blue" Cursor="Hand" />
                                    </DataTemplate>
                                </GridViewColumn.CellTemplate>
                            </GridViewColumn>-->


                            <GridViewColumn Header="Capacity" Width="400">
                                <GridViewColumn.HeaderTemplate>
                                    <DataTemplate>
                                        <Grid>
                                            <Grid.ColumnDefinitions>
                                                <ColumnDefinition Width="80"></ColumnDefinition>
                                                <ColumnDefinition Width="90"></ColumnDefinition>
                                                <ColumnDefinition Width="100"></ColumnDefinition>
                                                <ColumnDefinition Width="90"></ColumnDefinition>
                                            </Grid.ColumnDefinitions>
                                            <Grid.RowDefinitions>
                                                <RowDefinition Height="Auto"/>
                                                <RowDefinition Height="Auto"/>
                                            </Grid.RowDefinitions>
                                            <StackPanel Grid.Row="0" Grid.ColumnSpan="4" Margin="5">
                                                <TextBlock Text="Capacity" Height="17" FontSize="12" HorizontalAlignment="Center"/>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="0" Margin="0,0,0,0">
                                                <TextBlock  HorizontalAlignment="Left" TextWrapping="Wrap"  FontSize="12">
                                 <Run  Text="Cooling Dry"/>
                                 <LineBreak/>
                                 <Run BaselineAlignment="Center"  Text="(kw)"/>
                                                </TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="1"  Margin="0,0,0,0">
                                                <TextBlock  HorizontalAlignment="Left">
                                             <Run Text="Cooling Wet"/>
                                             <LineBreak/>
                                             <Run BaselineAlignment="Center"  Text="(kw)"/>
                                                </TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="2" Margin="0,0,0,0">
                                                <TextBlock  HorizontalAlignment="Left">
                                 <Run Text="Cooling Relative"/>
                                 <LineBreak/>
                                 <Run BaselineAlignment="Center"  Text="(kw)"/>
                                                </TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="3" Margin="0,0,0,0">
                                                <TextBlock HorizontalAlignment="Center">
                                 <Run Text="Heating Dry"/>
                                 <LineBreak/>
                                 <Run BaselineAlignment="Center"  Text="(kw)"/>
                                                </TextBlock>
                                            </StackPanel>

                                        </Grid>
                                    </DataTemplate>
                                </GridViewColumn.HeaderTemplate>
                                <GridViewColumn.CellTemplate  >
                                    <DataTemplate>
                                        <Grid Width="400">
                                            <Grid.ColumnDefinitions>
                                                <ColumnDefinition Width="80"></ColumnDefinition>
                                                <ColumnDefinition Width="90"></ColumnDefinition>
                                                <ColumnDefinition Width="100"></ColumnDefinition>
                                                <ColumnDefinition Width="90"></ColumnDefinition>
                                            </Grid.ColumnDefinitions>
                                            <Grid.RowDefinitions>
                                                <RowDefinition Height="Auto"/>
                                            </Grid.RowDefinitions>

                                            <StackPanel Grid.Row="0" Grid.Column="0" Margin="0,0,0,0">
                                                <TextBlock Text="{Binding Company}"  HorizontalAlignment="Left" TextWrapping="Wrap"  FontSize="12"></TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="1" Margin="0,0,0,0">
                                                <TextBlock  HorizontalAlignment="Left" Text="{Binding Phone}" TextWrapping="Wrap"  FontSize="12"></TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="2" Margin="0,0,0,0">
                                                <TextBlock  HorizontalAlignment="Left" Text="{Binding Size}" TextWrapping="Wrap"  FontSize="12"></TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="3" Margin="0,0,0,0">
                                                <TextBlock  HorizontalAlignment="Left" Text="{Binding Company}" TextWrapping="Wrap"  FontSize="12"></TextBlock>
                                            </StackPanel>

                                        </Grid>
                                    </DataTemplate>
                                </GridViewColumn.CellTemplate>
                            </GridViewColumn>
                            <GridViewColumn Header="Temperature" Width="400">
                                <GridViewColumn.HeaderTemplate>
                                    <DataTemplate>
                                        <Grid>
                                            <Grid.ColumnDefinitions>
                                                <ColumnDefinition Width="80"></ColumnDefinition>
                                                <ColumnDefinition Width="90"></ColumnDefinition>
                                                <ColumnDefinition Width="100"></ColumnDefinition>
                                                <ColumnDefinition Width="90"></ColumnDefinition>
                                            </Grid.ColumnDefinitions>
                                            <Grid.RowDefinitions>
                                                <RowDefinition Height="Auto"/>
                                                <RowDefinition Height="Auto"/>
                                            </Grid.RowDefinitions>
                                            <StackPanel Grid.Row="0" Grid.ColumnSpan="4" Margin="5">
                                                <TextBlock Text="Temperature" Height="17" FontSize="12" HorizontalAlignment="Center"/>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="0" Margin="0,0,0,0">
                                                <TextBlock  HorizontalAlignment="Left" TextWrapping="Wrap"  FontSize="12">
                                 <Run  Text="Cooling Dry"/>
                                 <LineBreak/>
                                 <Run BaselineAlignment="Center"  Text="(kw)"/>
                                                </TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="1"  Margin="0,0,0,0">
                                                <TextBlock  HorizontalAlignment="Left">
                                             <Run Text="Cooling Wet"/>
                                             <LineBreak/>
                                             <Run BaselineAlignment="Center"  Text="(kw)"/>
                                                </TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="2" Margin="0,0,0,0">
                                                <TextBlock  HorizontalAlignment="Left">
                                 <Run Text="Cooling Relative"/>
                                 <LineBreak/>
                                 <Run BaselineAlignment="Center"  Text="(kw)"/>
                                                </TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="3" Margin="0,0,0,0">
                                                <TextBlock HorizontalAlignment="Center">
                                 <Run Text="Heating Dry"/>
                                 <LineBreak/>
                                 <Run BaselineAlignment="Center"  Text="(kw)"/>
                                                </TextBlock>
                                            </StackPanel>

                                        </Grid>
                                    </DataTemplate>
                                </GridViewColumn.HeaderTemplate>
                                <GridViewColumn.CellTemplate>
                                    <DataTemplate>
                                        <Grid Width="400">
                                            <Grid.ColumnDefinitions>
                                                <ColumnDefinition Width="80"></ColumnDefinition>
                                                <ColumnDefinition Width="90"></ColumnDefinition>
                                                <ColumnDefinition Width="100"></ColumnDefinition>
                                                <ColumnDefinition Width="90"></ColumnDefinition>
                                            </Grid.ColumnDefinitions>
                                            <Grid.RowDefinitions>
                                                <RowDefinition Height="Auto"/>
                                            </Grid.RowDefinitions>

                                            <StackPanel Grid.Row="0" Grid.Column="0" Margin="0,0,0,0">
                                                <TextBlock Text="{Binding Company}"  HorizontalAlignment="Left" TextWrapping="Wrap"  FontSize="12"></TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="1" Margin="0,0,0,0">
                                                <TextBlock  HorizontalAlignment="Left" Text="{Binding Phone}" TextWrapping="Wrap"  FontSize="12"></TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="2" Margin="0,0,0,0">
                                                <TextBlock  HorizontalAlignment="Left" Text="{Binding Size}" TextWrapping="Wrap"  FontSize="12"></TextBlock>
                                            </StackPanel>
                                            <StackPanel Grid.Row="1" Grid.Column="3" Margin="0,0,0,0">
                                                <TextBlock  HorizontalAlignment="Left" Text="{Binding Company}" TextWrapping="Wrap"  FontSize="12"></TextBlock>
                                            </StackPanel>

                                        </Grid>
                                    </DataTemplate>
                                </GridViewColumn.CellTemplate>
                            </GridViewColumn>
                        </GridView>
                    </ListView.View>
                </ListView>
            </ScrollViewer>
        </Grid>
    </Grid>
</Window>
